.footer {
  background: #0b0f0b;
  color: #ccc;
  padding: 40px 40px 30px;
}

.footer-inner {
  display: grid;
  grid-template-columns: 2fr repeat(4, 1fr);
  gap: 60px;
  max-width: 1400px;
  margin: auto;
}

.footer-logo {
  font-size: 28px;
  font-weight: 900;
  text-decoration: none;
}

.footer-desc {
  line-height: 1.6;
  font-size: 14px;
  color: #aaa;
}

.footer-heading {
  font-size: 16px;
  font-weight: 700;
  margin-bottom: 20px;
  color: #fff;
}

.footer-link {
  display: block;
  margin-bottom: 12px;
  color: #aaa;
  text-decoration: none;
  font-size: 14px;
  transition: 0.3s;
}

.footer-link:hover {
  color: #00ff85;
  transform: translateX(4px);
}

.footer-bottom {

  text-align: center;
  font-size: 14px;
  color: #888;
}

/* ======================
   TABLET
====================== */
@media (max-width: 1024px) {
  .footer-inner {
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
  }
}

/* ======================
   MOBILE
====================== */
@media (max-width: 768px) {

  .footer {
    padding: 60px 20px 20px;
  }

  .footer-inner {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .footer-col ul {
    display: flex;
    flex-direction: column;
  }

  .footer-heading {
    margin-bottom: 10px;
  }

  .footer-link {
    margin-bottom: 8px;
  }

  .footer-bottom {
    margin-top: 40px;
  }
}
